Loading...
Searching...
No Matches
uvector.h File Reference

Header file for uvector and its relational and swap functions. More...

`#include <algorithm>`
`#include <cstring>`
`#include <iterator>`
`#include <memory>`
`#include <utility>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | ao::uvector< Tp, Alloc >
| A container similar to std::vector, but one that allows construction without initializing its elements. More...

## Namespaces

namespace | ao

## Functions

template<class Tp, class Alloc>
bool | ao::operator== (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for equality.
template<class Tp, class Alloc>
bool | ao::operator!= (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for inequality.
template<class Tp, class Alloc>
bool | ao::operator< (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for smaller than.
template<class Tp, class Alloc>
bool | ao::operator<= (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for smaller than or equal.
template<class Tp, class Alloc>
bool | ao::operator> (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for larger than.
template<class Tp, class Alloc>
bool | ao::operator>= (const uvector< Tp, Alloc > &lhs, const uvector< Tp, Alloc > &rhs) noexcept
| Compare two uvectors for larger than or equal.
template<class Tp, class Alloc>
void | ao::swap (uvector< Tp, Alloc > &x, uvector< Tp, Alloc > &y)
| Swap the contents of the two uvectors.

## Detailed Description

Header file for uvector and its relational and swap functions.

Author
  André Offringa

Copyright
  André Offringa, 2013, distributed under the GPL license version 3.

Definition in file uvector.h.